Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003424TestLinkUser Interface Generalpublic2010-05-04 16:012010-08-31 20:29
Reportervgielma 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.5 (bug fixing) 
Fixed in Version1.9 Beta 5 
Summary0003424: Custom CSS path is being overwritten by config.inc.php value (fix included)
DescriptionOur custom_config.inc.php file contains following entry:

$tlCfg->theme_dir = 'gui/themes/bluetheme/';


However, the "Test Report" page still contains a reference to the default theme location:

<link href="http://hostname/testlink/gui/themes/default/css/tl_documents.css" [^] rel="stylesheet" type="text/css">
Additional InformationWe fixed this by modifying the config.inc.php file, and moving line 480 containing:

$tlCfg->document_generator->css_template = $tlCfg->theme_dir . 'css/tl_documents.css';

To some lines below 834 (where the custom_config.inc.php file is being read).

This will initialize the css_template attribute correctly if the theme_dir attribute has been changed by the custom_config.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP VersionPHP 5.3.2
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0009900)
fman (administrator)
2010-05-05 02:49

Thanks for you help
would you mind to share with community your theme ?
(0010091)
fman (administrator)
2010-05-20 19:58

any chance you share your theme ?
(0011195)
fman (administrator)
2010-08-31 20:29

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-05-04 16:01 vgielma New Issue
2010-05-04 16:01 vgielma PHP Version => PHP 5.3.2
2010-05-05 02:49 fman Note Added: 0009900
2010-05-05 02:54 fman Status new => assigned
2010-05-05 02:54 fman Assigned To => fman
2010-05-20 19:58 fman Note Added: 0010091
2010-05-20 19:58 fman Status assigned => feedback
2010-05-20 19:58 fman Status feedback => resolved
2010-05-20 19:58 fman Fixed in Version => 1.9 Beta 5
2010-05-20 19:58 fman Resolution open => fixed
2010-08-31 20:29 fman Note Added: 0011195
2010-08-31 20:29 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker